diff -urN cargo-0.89.0-orig/Cargo.toml cargo-0.89.0/Cargo.toml
--- cargo-0.89.0-orig/Cargo.toml	2025-05-10 20:10:32 +0900
+++ cargo-0.89.0/Cargo.toml	2025-08-10 06:03:38 +0900
@@ -42,14 +42,8 @@
 core-foundation = { version = "0.10.0", features = ["mac_os_10_7_support"] }
 crates-io = { version = "0.40.10", path = "crates/crates-io" }
 criterion = { version = "0.5.1", features = ["html_reports"] }
-curl = "0.4.47"
-curl-sys = "0.4.79"
 filetime = "0.2.25"
 flate2 = { version = "1.1.1", default-features = false, features = ["zlib-rs"] }
-git2 = "0.20.0"
-git2-curl = "0.21.0"
-# When updating this, also see if `gix-transport` further down needs updating or some auth-related tests will fail.
-gix = { version = "0.71.0", default-features = false, features = ["blocking-http-transport-curl", "progress-tree", "parallel", "dirwalk"] }
 glob = "0.3.2"
 handlebars = { version = "6.3.1", features = ["dir_source"] }
 hex = "0.4.3"
@@ -64,13 +58,10 @@
 jobserver = "0.1.32"
 lazycell = "1.3.0"
 libc = "0.2.169"
-libgit2-sys = "0.18.0"
 libloading = "0.8.6"
 memchr = "2.7.4"
 miow = "0.6.0"
 opener = "0.7.2"
-openssl = "0.10.72"
-openssl-sys = "0.9.92"
 os_info = { version = "3.10.0", default-features = false }
 pasetors = { version = "0.7.2", features = ["v3", "paserk", "std", "serde"] }
 pathdiff = "0.2.3"
@@ -165,13 +156,8 @@
 clap_complete.workspace = true
 color-print.workspace = true
 crates-io.workspace = true
-curl = { workspace = true, features = ["http2"] }
-curl-sys.workspace = true
 filetime.workspace = true
 flate2.workspace = true
-git2.workspace = true
-git2-curl.workspace = true
-gix.workspace = true
 glob.workspace = true
 hex.workspace = true
 hmac.workspace = true
@@ -184,7 +170,6 @@
 jiff.workspace = true
 jobserver.workspace = true
 lazycell.workspace = true
-libgit2-sys.workspace = true
 memchr.workspace = true
 opener.workspace = true
 os_info.workspace = true
@@ -231,9 +216,6 @@
 [target.'cfg(target_os = "macos")'.dependencies]
 cargo-credential-macos-keychain.workspace = true
 
-[target.'cfg(not(windows))'.dependencies]
-openssl = { workspace = true, optional = true }
-
 [target.'cfg(windows)'.dependencies]
 cargo-credential-wincred.workspace = true
 
@@ -252,10 +234,6 @@
 [dev-dependencies]
 annotate-snippets = { workspace = true, features = ["testing-colors"] }
 cargo-test-support.workspace = true
-gix = { workspace = true, features = ["revision"] }
-# When building Cargo for tests, a safety-measure in `gix` needs to be disabled
-# to allow sending credentials over HTTP connections.
-gix-transport = { version = "0.46.0", features = ["http-client-insecure-credentials"] }
 same-file.workspace = true
 snapbox.workspace = true
 
@@ -269,10 +247,7 @@
 doc = false
 
 [features]
-vendored-openssl = ["openssl/vendored"]
-vendored-libgit2 = ["libgit2-sys/vendored"]
-# This is primarily used by rust-lang/rust distributing cargo the executable.
-all-static = ['vendored-openssl', 'curl/static-curl', 'curl/force-system-lib-on-osx', 'vendored-libgit2']
+vendored-openssl = []
 
 [lints]
 workspace = true
diff -urN cargo-0.89.0-orig/src/bin/cargo/cli.rs cargo-0.89.0/src/bin/cargo/cli.rs
--- cargo-0.89.0-orig/src/bin/cargo/cli.rs	2025-05-10 20:10:32 +0900
+++ cargo-0.89.0/src/bin/cargo/cli.rs	2025-08-10 06:03:38 +0900
@@ -212,63 +212,11 @@
             version_string.push_str(&format!("commit-date: {}\n", ci.commit_date));
         }
         writeln!(version_string, "host: {}", env!("RUST_HOST_TARGET")).unwrap();
-        add_libgit2(&mut version_string);
-        add_curl(&mut version_string);
-        add_ssl(&mut version_string);
         writeln!(version_string, "os: {}", os_info::get()).unwrap();
     }
     version_string
 }
 
-fn add_libgit2(version_string: &mut String) {
-    let git2_v = git2::Version::get();
-    let lib_v = git2_v.libgit2_version();
-    let vendored = if git2_v.vendored() {
-        format!("vendored")
-    } else {
-        format!("system")
-    };
-    writeln!(
-        version_string,
-        "libgit2: {}.{}.{} (sys:{} {})",
-        lib_v.0,
-        lib_v.1,
-        lib_v.2,
-        git2_v.crate_version(),
-        vendored
-    )
-    .unwrap();
-}
-
-fn add_curl(version_string: &mut String) {
-    let curl_v = curl::Version::get();
-    let vendored = if curl_v.vendored() {
-        format!("vendored")
-    } else {
-        format!("system")
-    };
-    writeln!(
-        version_string,
-        "libcurl: {} (sys:{} {} ssl:{})",
-        curl_v.version(),
-        curl_sys::rust_crate_version(),
-        vendored,
-        curl_v.ssl_version().unwrap_or("none")
-    )
-    .unwrap();
-}
-
-fn add_ssl(version_string: &mut String) {
-    #[cfg(feature = "openssl")]
-    {
-        writeln!(version_string, "ssl: {}", openssl::version::version()).unwrap();
-    }
-    #[cfg(not(feature = "openssl"))]
-    {
-        let _ = version_string; // Silence unused warning.
-    }
-}
-
 /// Expands aliases recursively to collect all the command line arguments.
 ///
 /// [`GlobalArgs`] need to be extracted before expanding aliases because the
diff -urN cargo-0.89.0-orig/src/bin/cargo/commands/mod.rs cargo-0.89.0/src/bin/cargo/commands/mod.rs
--- cargo-0.89.0-orig/src/bin/cargo/commands/mod.rs	2025-05-10 20:10:32 +0900
+++ cargo-0.89.0/src/bin/cargo/commands/mod.rs	2025-08-10 06:03:38 +0900
@@ -9,8 +9,6 @@
         clean::cli(),
         config::cli(),
         doc::cli(),
-        fetch::cli(),
-        fix::cli(),
         generate_lockfile::cli(),
         git_checkout::cli(),
         help::cli(),
@@ -18,14 +16,9 @@
         init::cli(),
         install::cli(),
         locate_project::cli(),
-        login::cli(),
-        logout::cli(),
         metadata::cli(),
         new::cli(),
-        owner::cli(),
-        package::cli(),
         pkgid::cli(),
-        publish::cli(),
         read_manifest::cli(),
         remove::cli(),
         report::cli(),
@@ -40,7 +33,6 @@
         vendor::cli(),
         verify_project::cli(),
         version::cli(),
-        yank::cli(),
     ]
 }
 
diff -urN cargo-0.89.0-orig/src/cargo/core/compiler/build_config.rs cargo-0.89.0/src/cargo/core/compiler/build_config.rs
--- cargo-0.89.0-orig/src/cargo/core/compiler/build_config.rs	2025-05-10 20:10:32 +0900
+++ cargo-0.89.0/src/cargo/core/compiler/build_config.rs	2025-08-10 06:03:38 +0900
@@ -1,7 +1,7 @@
 use crate::core::compiler::CompileKind;
 use crate::util::context::JobsConfig;
 use crate::util::interning::InternedString;
-use crate::util::{CargoResult, GlobalContext, RustfixDiagnosticServer};
+use crate::util::{CargoResult, GlobalContext};
 use anyhow::{bail, Context as _};
 use cargo_util::ProcessBuilder;
 use serde::ser;
@@ -35,9 +35,6 @@
     pub dry_run: bool,
     /// An optional override of the rustc process for primary units
     pub primary_unit_rustc: Option<ProcessBuilder>,
-    /// A thread used by `cargo fix` to receive messages on a socket regarding
-    /// the success/failure of applying fixes.
-    pub rustfix_diagnostic_server: Rc<RefCell<Option<RustfixDiagnosticServer>>>,
     /// The directory to copy final artifacts to. Note that even if
     /// `artifact-dir` is set, a copy of artifacts still can be found at
     /// `target/(debug\release)` as usual.
@@ -124,7 +121,6 @@
             unit_graph: false,
             dry_run: false,
             primary_unit_rustc: None,
-            rustfix_diagnostic_server: Rc::new(RefCell::new(None)),
             export_dir: None,
             future_incompat_report: false,
             timing_outputs: Vec::new(),
diff -urN cargo-0.89.0-orig/src/cargo/core/compiler/job_queue/mod.rs cargo-0.89.0/src/cargo/core/compiler/job_queue/mod.rs
--- cargo-0.89.0-orig/src/cargo/core/compiler/job_queue/mod.rs	2025-05-10 20:10:32 +0900
+++ cargo-0.89.0/src/cargo/core/compiler/job_queue/mod.rs	2025-08-10 06:03:38 +0900
@@ -142,7 +142,6 @@
 use crate::core::resolver::ResolveBehavior;
 use crate::core::{PackageId, Shell, TargetKind};
 use crate::util::context::WarningHandling;
-use crate::util::diagnostic_server::{self, DiagnosticPrinter};
 use crate::util::errors::AlreadyPrintedError;
 use crate::util::machine_message::{self, Message as _};
 use crate::util::CargoResult;
@@ -197,7 +196,6 @@
     /// retrieved from the `queue`. We eagerly pull jobs off the main queue to
     /// allow us to request jobserver tokens pretty early.
     pending_queue: Vec<(Unit, Job, usize)>,
-    print: DiagnosticPrinter<'gctx>,
 
     /// How many jobs we've finished
     finished: usize,
@@ -370,7 +368,6 @@
         warning: String,
     },
 
-    FixDiagnostic(diagnostic_server::Message),
     Token(io::Result<Acquired>),
     Finish(JobId, Artifact, CargoResult<()>),
     FutureIncompatReport(JobId, Vec<FutureBreakageItem>),
@@ -499,10 +496,6 @@
             timings: self.timings,
             tokens: Vec::new(),
             pending_queue: Vec::new(),
-            print: DiagnosticPrinter::new(
-                build_runner.bcx.gctx,
-                &build_runner.bcx.rustc().workspace_wrapper,
-            ),
             finished: 0,
             per_package_future_incompat_reports: Vec::new(),
         };
@@ -517,20 +510,6 @@
             })
             .context("failed to create helper thread for jobserver management")?;
 
-        // Create a helper thread to manage the diagnostics for rustfix if
-        // necessary.
-        let messages = state.messages.clone();
-        // It is important that this uses `push` instead of `push_bounded` for
-        // now. If someone wants to fix this to be bounded, the `drop`
-        // implementation needs to be changed to avoid possible deadlocks.
-        let _diagnostic_server = build_runner
-            .bcx
-            .build_config
-            .rustfix_diagnostic_server
-            .borrow_mut()
-            .take()
-            .map(move |srv| srv.start(move |msg| messages.push(Message::FixDiagnostic(msg))));
-
         thread::scope(move |scope| {
             match state.drain_the_queue(build_runner, plan, scope, &helper) {
                 Some(err) => Err(err),
@@ -653,9 +632,6 @@
             } => {
                 self.bump_warning_count(id, emitted, fixable);
             }
-            Message::FixDiagnostic(msg) => {
-                self.print.print(&msg)?;
-            }
             Message::Finish(id, artifact, result) => {
                 let unit = match artifact {
                     // If `id` has completely finished we remove it
diff -urN cargo-0.89.0-orig/src/cargo/core/compiler/rustdoc.rs cargo-0.89.0/src/cargo/core/compiler/rustdoc.rs
--- cargo-0.89.0-orig/src/cargo/core/compiler/rustdoc.rs	2025-05-10 20:10:32 +0900
+++ cargo-0.89.0/src/cargo/core/compiler/rustdoc.rs	2025-08-10 06:03:38 +0900
@@ -3,7 +3,6 @@
 use crate::core::compiler::build_runner::BuildRunner;
 use crate::core::compiler::unit::Unit;
 use crate::core::compiler::{BuildContext, CompileKind};
-use crate::sources::CRATES_IO_REGISTRY;
 use crate::util::errors::{internal, CargoResult};
 use cargo_util::ProcessBuilder;
 use std::collections::HashMap;
@@ -76,7 +75,7 @@
 impl Default for RustdocExternMap {
     fn default() -> Self {
         Self {
-            registries: HashMap::from([(CRATES_IO_REGISTRY.into(), DOCS_RS_URL.into())]),
+            registries: HashMap::from([]),
             std: None,
         }
     }
@@ -87,9 +86,6 @@
 ) -> Result<HashMap<String, String>, D::Error> {
     use serde::Deserialize;
     let mut registries = HashMap::deserialize(de)?;
-    if !registries.contains_key(CRATES_IO_REGISTRY) {
-        registries.insert(CRATES_IO_REGISTRY.into(), DOCS_RS_URL.into());
-    }
     Ok(registries)
 }
 
@@ -129,9 +125,6 @@
                 if !sid.is_registry() {
                     return false;
                 }
-                if sid.is_crates_io() {
-                    return registry == CRATES_IO_REGISTRY;
-                }
                 if let Some(index_url) = name2url.get(registry) {
                     return index_url == sid.url();
                 }
